(**
 * Generic debug utility
 *)
open Args

module Debug =
  struct

    let print s =
      if List.mem "-debug" Args.get
      then print_string s else ()

    let println s =
      if List.mem "-debug" Args.get
      then
	begin
	  print_string s;
	  print_newline ()
	end
      else ()

  end
