type token =
  | ID of (string)
  | INTEGER of (int)
  | VERBATIM_HEADER of (string list)
  | VERBATIM_FOOTER of (string list)
  | EOL
  | MODULE
  | BEGIN
  | END
  | VERBATIM
  | INDUCTIVE
  | TYPE
  | WITH
  | INDEX
  | BIND
  | IN
  | DOT
  | LPARSTAR
  | STARRPAR
  | COLON
  | BAR
  | LPAR
  | RPAR
  | COMMA
  | LSQUARE
  | RSQUARE
  | ASSIGN
  | PLUS
  | MINUS
  | MULT

val gmod :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Interfaces.gmodule
