open Args

open Interfaces
open Properties_lift_subst
open Properties_named

let ordered_chaps (gmod : gmodule) : property_chapter list =
  (* basic properties *)
  ((new lift_chapter gmod :> property_chapter) ::
   (new subst_chapter gmod :> property_chapter) ::
   []) @

  (* named properties *)
  (if Args.is_aux "named-string" || Args.is_aux "named-nat"
   then
    (new fv_permut_chapter gmod :> property_chapter) ::
    []
   else [])
