
Module STLCexp.

  Inductive binop : Type :=
  | plus | mult.

  Inductive term : Type :=
  | var ((* index *) x : nat)
  | app (t1 : term) (t2 : term)
  | lam ((* bind term in *) t : term)
  | eterm (e : exp)

  with exp : Type :=
  | int (n : nat)
  | bop (op : binop) (e1 : exp) (e2 : exp)
  | texp (t : term).

End STLCexp.
