let sizedlist =
"  Module SizedList." ::
"    Set Implicit Arguments." ::
"" ::
"    Section Definitions." ::
"      Variable A : Type." ::
"" ::
"      Inductive sized_list : nat -> Type :=" ::
"      | snil : sized_list 0" ::
"      | scons : A -> forall n : nat, sized_list n -> sized_list (S n)." ::
"    " ::
"      Implicit Arguments scons [n]." ::
"  " ::
"      Fixpoint app (n1 : nat) (l1 : sized_list n1) (n2 : nat) (l2 : sized_list n2) : sized_list (n1 + n2) :=" ::
"        match l1 in sized_list n1 return sized_list (n1 + n2) with" ::
"          | snil => l2" ::
"          | scons x _ l1' => scons x (app l1' l2)" ::
"        end." ::
"    " ::
"      Variable eq : forall x y : A, { x = y } + { x <> y }." ::
"    " ::
"      Fixpoint index_of (x : A) (n : nat) (l : sized_list n) : nat :=" ::
"        match l with" ::
"          | snil => 0" ::
"          | scons y _ l' => if eq x y then 0 else S (index_of x l')" ::
"        end." ::
"    " ::
"      Fixpoint build_permut (n : nat) (l : sized_list n) (n' : nat) (l' : sized_list n') : list nat :=" ::
"        match l' with" ::
"          | snil => nil" ::
"          | scons x _ l'' => cons (index_of x l) (build_permut l l'')" ::
"        end." ::
"  " ::
"    End Definitions." ::
"  End SizedList." ::
[]