
Module STLCterms.

  Inductive type : Type :=
  | tconst (n : nat)
  | tarrow (A B : type).

  Inductive term : Type :=
  | var (A : type) ((* index *) x : nat)
  | app (t1 t2 : term)
  | lam (A : type) ((* bind term in *) t : term).

End STLCterms.
