
Module ZZZ.

  Inductive EA : Type :=
  | EAa
  | EAb ((* index *) a : nat)
  | EAc

  with EB : Type :=
  | EBa ((* index *) a : nat)
  | EBb ((* bind EB in *) a : EC)
  | EBc ((* bind 2 : EA in *) a : EB) (b : EA)

  with EC : Type :=
  | ECa
  | ECb ((* index *) a : nat)
  | ECc (a : EC) (b : EB) (c : EB)
  | ECd ((* bind EC in *) a : EC) (b : EC) (c : EA)
  | ECe ((* bind EC in *) a b : EC) (c : EA)
  | ECf ((* bind 2 : EA, 1 : EB in *) a : EB) (b : EA)
  | ECg (n : nat) ((* bind n * 2 : EB, n + 1 : EC in *) a : EC) ((* bind EA in *) b : EA).

End ZZZ.
